{
    "name": "@cnri/cordra-tool",
    "version": "2.5.0",
    "license": "SEE LICENSE IN LICENSE.txt",
    "description": "Cordra deployment and testing tool",
    "homepage": "https://www.cordra.org",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/cnri/cordra/cordra-tool"
    },
    "author": "CNRI",
    "bin": "build/main/cordra-tool.js",
    "main": "build/main/index.js",
    "types": "build/types/src/main/index.d.ts",
    "dependencies": {
        "@cnri/cordra-client": "^2.5.0",
        "chokidar": "^3.5.3",
        "commander": "^10.0.1",
        "es6-promise-pool": "^2.5.0",
        "json-schema-to-typescript": "^12.0.0"
    },
    "devDependencies": {
        "@babel/cli": "^7.21.0",
        "@babel/core": "^7.21.4",
        "@babel/eslint-parser": "^7.21.3",
        "@babel/plugin-proposal-class-properties": "^7.18.6",
        "@babel/plugin-proposal-export-namespace-from": "^7.18.9",
        "@babel/plugin-syntax-class-properties": "^7.12.13",
        "@babel/plugin-transform-modules-commonjs": "^7.21.2",
        "@babel/preset-env": "^7.21.4",
        "@babel/preset-typescript": "^7.21.4",
        "@types/chai": "^4.3.4",
        "@types/jest": "^29.5.1",
        "@types/node": "^14.18.42",
        "@typescript-eslint/eslint-plugin": "^5.59.1",
        "@typescript-eslint/parser": "^5.59.1",
        "babel-jest": "^29.5.0",
        "chai": "^4.3.7",
        "concurrently": "^8.0.1",
        "eslint": "^8.39.0",
        "eslint-config-airbnb-base": "^15.0.0",
        "eslint-config-airbnb-typescript": "^17.0.0",
        "eslint-plugin-import": "^2.27.5",
        "jest": "^29.5.0",
        "jest-junit": "^16.0.0",
        "typescript": "^4.9.5",
        "wait-on": "^7.0.1"
    },
    "scripts": {
        "clean": "rm -rf build",
        "typecheck": "tsc --noEmit",
        "lint": "eslint --ext .js,.ts . --ignore-pattern build",
        "build:types": "tsc --emitDeclarationOnly && cp src/main/cordra.d.ts build/types",
        "build:js": "babel src --extensions .js,.ts --out-dir build --copy-files",
        "build": "npm run build:types && npm run build:js && chmod +x build/main/cordra-tool.js",
        "watch": "npm run build:js -- --watch --verbose",
        "build:watch": "npm run watch",
        "cordra:setup": "npm run build && node . -c cordra/client-config.json -d -t",
        "cordra:run": "java -jar cordra/cordra-embedded-test-server.jar cordra/cordra.war cordra/client-config.json cordra/lib cordra/cordra-config.json",
        "cordra:watch": "node build/main/cordra-tool.js -c cordra/client-config.json --watch --watch-interfaces --interfaces-out-dir src/main/cordra/types/interfaces",
        "cordra:dev": "concurrently -k -n cordra,upload,build -c magenta.bold,white.bold,cyan.bold \"npm run --silent cordra:run\" \"wait-on cordra/client-config.json && npm run cordra:watch\" \"wait-on cordra/client-config.json && npm run build:watch\"",
        "test": "NODE_TLS_REJECT_UNAUTHORIZED=0 jest",
        "test:watch": "npm run test -- --watchAll",
        "test:cordra": "concurrently -k -s first -n cordra,tests -c magenta.bold,white.bold \"npm run --silent cordra:run\" \"wait-on cordra/client-config.json && npm run test\"",
        "test:ci": "concurrently -k -s first \"npm run --silent cordra:run\" \"wait-on cordra/client-config.json && npm run test -- --ci --reporters=default --reporters=jest-junit --testNamePattern='^((?!ciskip).)*$'\"",
        "prepare": "npm run clean && npm run build"
    },
    "files": [
        "/LICENSE.txt",
        "/README.md",
        "/build",
        "/package.json"
    ]
}
